﻿POLITICAL_MOVEMENTS = {
	every_country = {
		limit = { NOT = { is_country_type = decentralized } }
		### Royalist movements
		if = {
			limit = {
				has_law = law_type:law_monarchy
				country_has_voting_franchise = no
			}
			create_political_movement = { type = movement_royalist_absolutist }
		}
		else_if = {
			limit = {
				has_law = law_type:law_monarchy
				country_has_voting_franchise = yes
			}
			create_political_movement = { type = movement_royalist_constitutional }
		}

		### Abolitionist movements
		if = {
			limit = {
				NOT = { has_law = law_type:law_slavery_banned }
			}
			create_political_movement = { type = movement_pro_slavery }
			
			if = {
				limit = { 
					has_technology_researched = empiricism 
				}
				create_political_movement = { type = movement_anti_slavery }
			}
		}		

		### Religious movements
		if = {
			limit = {
				has_technology_researched = tradition_of_equality
			}
			create_political_movement = { type = movement_religious_majority_equal }
		}
		else = {
			create_political_movement = { type = movement_religious_majority }
		}

		### Cultural majority movements
		create_political_movement = { type = movement_cultural_majority }

		### Labour movements
		if = {
			limit = {
				has_technology_researched = labor_movement
			}
			create_political_movement = { type = movement_labor }
		}

		### Liberal movements
		if = {
			limit = {
				has_technology_researched = democracy
				OR = {
					has_law = law_type:law_landed_voting
					has_law = law_type:law_wealth_voting
					has_law = law_type:law_census_voting
					has_law = law_type:law_universal_suffrage
				}
			}
			create_political_movement = { type = movement_liberal }
		}
	}	
}
